Subject: Re: bug#45563: 28.0.50; key-chord-mode not working with native comp

From: Eamonn Sullivan <[email-masked]>
Date: Thu, 31 Dec 2020 15:30:02 +0000

I've filed a bug report here (my first!) because I run two computers, one
with emacs 27.1 and one with emacs 28.0.50/master. This configuration works
on 27.1, but not on 28.0.50.

I actually can workaround the issue easily, but I really love the native
compilation and want to see it succeed. I thought I found something that
might affect other packages. Just trying to be helpful.

A minimal config that can reproduce the problem is here:
https://github.com/eamonnsullivan/emacs.d/blob/master/minimal-init.el

Thanks again,
Eamonn

On Thu, 31 Dec 2020 at 15:18, Eli Zaretskii <[email-masked]> wrote:

> > From: Eamonn Sullivan <[email-masked]>
> > Date: Thu, 31 Dec 2020 14:40:03 +0000
> >
> > It is not, no. It is in melpa: https://melpa.org/#/key-chord.
> >
> > I don't explicitly load that, but it comes in via dependencies of
> another package.
> >
> > If it's not supported in 28, I'm fine with that. (And closing this
> ticket.) I don't use it for much.
>
> If this is not an Emacs package, then I suggest to report the issue to
> the package developers first, and ask them to come back here if they
> think the problem is in Emacs core.
>
> Thanks.
>